%ECG Signal Generation and Plotting
% Define parameters
fs = 2000; % Sampling frequency (Hz)
t = 0:1/fs:5; % Time vector (0 to 5 seconds)
% Generate a synthetic ECG signal
ecg_signal = 0.6*sin(2*pi*1*t) + 0.3*sin(2*pi*3*t) + 0.1*randn(size(t));
% Plot the ECG signal
plot(t, ecg_signal);
title('Synthetic ECG Signal');
xlabel('Time (s)');
ylabel('Amplitude');
grid on;