% Filter specifications
order = 50;           % Order of the FIR filter
cutoff_freq = 0.2;    % Normalized cutoff frequency (0.0 to 1.0)

% Design FIR filter using the fir1 function
fir_filter = fir1(order, cutoff_freq);

% Display filter coefficients
disp('FIR Filter Coefficients:');
disp(fir_filter);

% Plot the frequency response of the filter
freqz(fir_filter, 1, 1024);

title('Frequency Response of FIR Filter');
xlabel('Frequency (normalized)');
ylabel('Magnitude (dB)');
grid on;
