% Basic Image Processing Script
% Read an RGB image
rgbImage = imread('testim.jpeg'); % Replace 'your_image_path.jpg' with the actual path of your image
% Convert the image to grayscale
grayImage = rgb2gray(rgbImage);
% Apply a simple threshold to create a binary image
thresholdValue = 128; % Adjust this threshold value based on your image
binaryImage = im2bw(grayImage, thresholdValue/255);
% Display the original and processed images
subplot(1, 3, 1), imshow(rgbImage), title('Original Image');
subplot(1, 3, 2), imshow(grayImage), title('Grayscale Image');
subplot(1, 3, 3), imshow(binaryImage), title('Binary Image');
% Optional: Save the processed image
imwrite(binaryImage, 'binary_image.jpg'); % Adjust the filename as needed