% Image Filtering Example (Gaussian Filter)
% Read the input image
input_image = imread('testim.jpeg');
% Convert the image to double for processing
input_image = double(input_image);
% Define the Gaussian filter kernel
sigma = 1; % Adjust the standard deviation for desired blurring
filter_size = 3; % Set a reasonable filter size based on your image dimensions
% Create the 2D Gaussian filter kernel
gaussian_filter = fspecial('gaussian', [filter_size
filter_size], sigma);
% Apply 2D convolution to filter the image
filtered_image = imfilter(input_image,gaussian_filter, 'same');
% Convert back to uint8 for displaying
filtered_image = uint8(filtered_image);
% Display the original and filtered images
figure;
subplot(1, 2, 1);
imshow(uint8(input_image));
title('Original Image');
subplot(1, 2, 2);
imshow(filtered_image);
title('Filtered Image');
% Save the filtered image
imwrite(filtered_image, 'filtered_image.jpg');