%function simpleObjectDetectionObj()
    % Specify the filename
    imageName = 'testim.jpeg';

    % Read the input image
    img = imread(imageName);

    % Convert the image to grayscale
    grayImg = rgb2gray(img);

    % Perform intensity thresholdingd
    threshold = graythresh(grayImg);
    binaryImg = imbinarize(grayImg, threshold);

    % Perform morphological operations to clean up the binary image
    se = strel('disk', 5);  % Adjust the size of the structuring element as needed
    binaryImg = imopen(binaryImg, se);
    binaryImg = imclose(binaryImg, se);

    % Label connected components in the binary image
    labeledImg = bwlabel(binaryImg);

    % Measure properties of labeled regions
    stats = regionprops(labeledImg, 'BoundingBox', 'Area');

    % Filter out small regions (noise)
    minArea = 100;  % Adjust the minimum area threshold as needed
    validRegions = [stats.Area] >= minArea;

    % Display the original image with bounding boxes around detected objects
    figure;
    imshow(img);
    hold on;
    for i = find(validRegions)
        % Draw bounding box
        rectangle('Position', stats(i).BoundingBox, 'EdgeColor', 'r', 'LineWidth', 3);
  

  end
    hold off;
    title('Object Detection');

%end
